View Issue Details

IDProjectCategoryView StatusLast Update
0000252WackoWikiadministrationpublic2011-05-31 21:24
Reporterpascalvmf Assigned Toadministrator  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version4.2 
Target Version5.0.betaFixed in Version5.0.beta 
Summary0000252: implement a remove selected/all comments action for a page
DescriptionWith R4.2 lots of my pages have been spammed in comments area. I currently have no means to remove all comments at once.

1. I suggest to add in page setup, other page setup and properties section, 2 links :
  * "remove selective comments from this page"
  * "remove ALL comments from this page"

2. The remove comments from this page will display all comments as usual each one with a checkbox in front so that the user can select what he wants to remove

3. a "select/unselect all" button should be included of course

4. 2 "remove" submit buttons, one at top, one at bottom (comments can be numerous)

5. of course - confirmation before effective removal !

Additional InformationNOTE: I know there is always a selective comment removal procedure for each comment and it should be kept. But it is really complicated to use as soon as we want to remove lots of comments at once, since :

1. we cannot select several comments at once

2. we have to confirm EACH REMOVAL ONE BY ONE
TagsNo tags attached.

Relationships

related to 0000230 resolvedadministrator Administrative Interface 
related to 0000045 resolvedadministrator delete old revisions of a page 
related to 0000312 assignedadministrator Merge remove and purge handler 

Activities

administrator

2009-01-06 16:30

administrator   ~0000557

a comment purge can also be implemented as part of the remove handler

another question is who is entitled to delete all the comments to a page except the Admin

I deleted most of the SPAM on wackowiki.com by clicking on the red cross and open link in new Tab (was in the Admins array), spend weekends doing this, f... (Captcha is now available as default for "*", thanks to TannSan)

ebal

2009-03-05 10:13

developer   ~0000592

i was thinking of breaking this bug to 2 different actions.

01. Delete All Comments
02. Select Comments to be delete.

For the first one (delete_all) i've already resolved in my svn wacko test environment. But I havent found the time to clear some code and post it here for approval.

The second part ... i am still thinking to find a efficient solution without a lot of changes.

2009-03-05 20:14

 

remove.all.comments.zip (4,562 bytes)

ebal

2009-03-05 20:20

developer   ~0000593

based on r286, i've just attached remove.all.comments.zip file.
this zip contains remove.php and show.php handler pages and the usage of these handlers are to provide "Remove All Comments" action for a specific page.

administrator

2009-03-05 21:00

administrator   ~0000595

Last edited: 2009-03-05 21:15

tested - this needs some additional considerations, will look at it more in detail a.s.a.p. (after fixing the show stoppers)

// admin privileged removal options
            if ($this->IsAdmin())
            {

administrator

2009-04-13 14:13

administrator   ~0000643

like in openspace

function RemoveComments($tag, $cluster = false)
    {
        if (!$tag) return false;

        if ($comments = $this->LoadAll(
        "SELECT tag FROM {$this->config['table_prefix']}pages ".
        "WHERE comment_on ".($cluster === true ? "LIKE" : "=")."
'".quote($tag.($cluster === true ? "/%" : ""))."' "))
        {
            foreach ($comments as $comment)
$this->RemovePage($comment['tag'], '');
        }

        // reset comments count and date
        $this->Query(
            "UPDATE {$this->config['table_prefix']}pages SET ".
                "comments = '0', ".
                "commented = created ".
            "WHERE comment_on ".($cluster === true ? "LIKE" : "=")."
'".quote($tag.($cluster === true ? "/%" : ""))."' ");

        return true;
    }

we set an option like in rename
[] remove all comments
[] entire cluster

administrator

2009-07-15 11:12

administrator   ~0000668

Last edited: 2009-10-28 04:30

View 2 revisions

svned purge handler with rev519

Wacko/PageName/purge

Issue History

Date Modified Username Field Change
2009-01-06 13:54 pascalvmf New Issue
2009-01-06 13:54 pascalvmf Legacy => NEW
2009-01-06 16:30 administrator Note Added: 0000557
2009-03-04 20:49 ebal Status new => assigned
2009-03-04 20:49 ebal Assigned To => ebal
2009-03-05 10:13 ebal Note Added: 0000592
2009-03-05 20:14 ebal File Added: remove.all.comments.zip
2009-03-05 20:20 ebal Note Added: 0000593
2009-03-05 21:00 administrator Note Added: 0000595
2009-03-05 21:15 administrator Note Edited: 0000595
2009-04-13 14:13 administrator Note Added: 0000643
2009-05-30 13:14 administrator Assigned To ebal => administrator
2009-07-07 15:48 administrator Target Version => 5.0.0
2009-07-12 13:13 administrator Relationship added related to 0000045
2009-07-15 11:12 administrator Note Added: 0000668
2009-07-15 11:15 administrator Relationship added related to 0000312
2009-07-15 11:34 administrator Relationship added related to 0000230
2009-10-10 20:34 administrator Relationship added related to 0000026
2009-10-13 11:09 Tann San Relationship deleted related to 0000026
2009-10-28 04:30 administrator Note Edited: 0000668 View Revisions
2009-11-04 16:43 administrator Status assigned => resolved
2009-11-04 16:43 administrator Resolution open => fixed
2009-11-04 16:43 administrator Fixed in Version => 5.0.beta
2010-01-21 22:15 administrator Target Version 5.0.0 => 5.0.beta
2010-03-08 10:09 administrator Category Administration => administration
2011-05-31 21:24 administrator Build => R5.0.beta